# $Revision: 1.9 $, $Date: 2004/11/01 18:34:38 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Algorithm
%define	pnam	SVM
Summary:	Perl bindings for the libsvm Support Vector Machine library
Summary(pl):	Dowizania Perla do biblioteki libsvm (Support Vector Machine)
Name:		perl-Algorithm-SVM
Version:	0.09
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8524c3a26866460e8b7505d242f9b3d2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Algorithm::SVM implements a Support Vector Machine for Perl. Support
Vector Machines provide a method for creating classification functions
from a set of labeled training data, from which predictions can be
made for subsequent data sets.

%description -l pl
Modu Algorithm::SVM jest implementacj Support Vector Machine dla
Perla. Support Vector Machines udostpniaj sposb tworzenia funkcji
klasyfikujcych ze zbioru oznaczonych danych treningowych, z ktrych
mona dokonywa przewidywa co do kolejnych zbiorw danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Algorithm/*.pm
%{perl_vendorarch}/Algorithm/SVM
%dir %{perl_vendorarch}/auto/Algorithm/SVM
%{perl_vendorarch}/auto/Algorithm/SVM/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Algorithm/SVM/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Algorithm-SVM.spec,v $
Revision 1.9  2004/11/01 18:34:38  adamg
- updated to 0.09

Revision 1.8  2004/06/10 17:29:05  adamg
- updated to 0.08

Revision 1.7  2004/05/06 18:43:01  ankry
- fixed perl-devel BR

Revision 1.6  2004/04/17 05:46:22  ankry
- license fixes

Revision 1.5  2004/03/09 19:57:08  adamg
- new style bconds

Revision 1.4  2004/01/12 19:55:08  pius
- typo

Revision 1.3  2003/07/06 09:41:43  qboosh
- pl (except for SVM term...)

Revision 1.2  2003/07/03 17:46:07  ankry
- md5

Revision 1.1  2003/07/03 14:55:39  ankry
- new
